net.minecraft.block

## Class BlockCrops

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockBush
    - - net.minecraft.block.BlockCrops

- All Implemented Interfaces:
    IGrowable, IPlantable
  Direct Known Subclasses:
    BlockCarrot, BlockPotato

      public class BlockCrops
      extends BlockBush
      implements IGrowable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockCrops()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canPlaceBlockOn(Block p_149854_1_)`
    `void` | `dropBlockAsItemWithChance(World p_149690_1_, int p_149690_2_, int p_149690_3_, int p_149690_4_, int p_149690_5_, float p_149690_6_, int p_149690_7_)`
    `boolean` | `func_149851_a(World p_149851_1_, int p_149851_2_, int p_149851_3_, int p_149851_4_, boolean p_149851_5_)`
    `boolean` | `func_149852_a(World p_149852_1_, java.util.Random p_149852_2_, int p_149852_3_, int p_149852_4_, int p_149852_5_)`
    `void` | `func_149853_b(World p_149853_1_, java.util.Random p_149853_2_, int p_149853_3_, int p_149853_4_, int p_149853_5_)`
    `void` | `func_149863_m(World p_149863_1_, int p_149863_2_, int p_149863_3_, int p_149863_4_)`
    `protected Item` | `func_149865_P()`
    `protected Item` | `func_149866_i()`
    `java.util.ArrayList<ItemStack>` | `getDrops(World world, int x, int y, int z, int metadata, int fortune)` This returns a complete list of items dropped from this block.
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `Item` | `getItem(World p_149694_1_, int p_149694_2_, int p_149694_3_, int p_149694_4_)`
    `Item` | `getItemDropped(int p_149650_1_, java.util.Random p_149650_2_, int p_149650_3_)`
    `int` | `getRenderType()`
    `int` | `quantityDropped(java.util.Random p_149745_1_)`
    `void` | `registerBlockIcons(IIconRegister p_149651_1_)`
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`

    - ### Methods inherited from class net.minecraft.block.BlockBush

      `canBlockStay, canPlaceBlockAt, checkAndDropBlock, getCollisionBoundingBoxFromPool, getPlant, getPlantMetadata, getPlantType, isOpaqueCube, onNeighborBlockChange, renderAsNormalBlock`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPlacedBy, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockCrops

          protected BlockCrops()

  - ### Method Detail

    - #### canPlaceBlockOn

          protected boolean canPlaceBlockOn(Block p_149854_1_)

      Overrides:
        `canPlaceBlockOn` in class `BlockBush`

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `BlockBush`

    - #### func_149863_m

          public void func_149863_m(World p_149863_1_,
                           int p_149863_2_,
                           int p_149863_3_,
                           int p_149863_4_)

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `BlockBush`

    - #### func_149866_i

          protected Item func_149866_i()

    - #### func_149865_P

          protected Item func_149865_P()

    - #### dropBlockAsItemWithChance

          public void dropBlockAsItemWithChance(World p_149690_1_,
                                       int p_149690_2_,
                                       int p_149690_3_,
                                       int p_149690_4_,
                                       int p_149690_5_,
                                       float p_149690_6_,
                                       int p_149690_7_)

      Overrides:
        `dropBlockAsItemWithChance` in class `Block`

    - #### getItemDropped

          public Item getItemDropped(int p_149650_1_,
                            java.util.Random p_149650_2_,
                            int p_149650_3_)

      Overrides:
        `getItemDropped` in class `Block`

    - #### quantityDropped

          public int quantityDropped(java.util.Random p_149745_1_)

      Overrides:
        `quantityDropped` in class `Block`

    - #### func_149851_a

          public boolean func_149851_a(World p_149851_1_,
                              int p_149851_2_,
                              int p_149851_3_,
                              int p_149851_4_,
                              boolean p_149851_5_)

      Specified by:
        `func_149851_a` in interface `IGrowable`

    - #### func_149852_a

          public boolean func_149852_a(World p_149852_1_,
                              java.util.Random p_149852_2_,
                              int p_149852_3_,
                              int p_149852_4_,
                              int p_149852_5_)

      Specified by:
        `func_149852_a` in interface `IGrowable`

    - #### getItem

          public Item getItem(World p_149694_1_,
                     int p_149694_2_,
                     int p_149694_3_,
                     int p_149694_4_)

      Overrides:
        `getItem` in class `Block`

    - #### registerBlockIcons

          public void registerBlockIcons(IIconRegister p_149651_1_)

      Overrides:
        `registerBlockIcons` in class `Block`

    - #### func_149853_b

          public void func_149853_b(World p_149853_1_,
                           java.util.Random p_149853_2_,
                           int p_149853_3_,
                           int p_149853_4_,
                           int p_149853_5_)

      Specified by:
        `func_149853_b` in interface `IGrowable`

    - #### getDrops

          public java.util.ArrayList<ItemStack> getDrops(World world,
                                                int x,
                                                int y,
                                                int z,
                                                int metadata,
                                                int fortune)

      Description copied from class: `Block`
      This returns a complete list of items dropped from this block.
      Overrides:
        `getDrops` in class `Block`
      Parameters:
        `world` - The current world
        `x` - X Position
        `y` - Y Position
        `z` - Z Position
        `metadata` - Current metadata
        `fortune` - Breakers fortune level
      Returns:
        A ArrayList containing all items this block drops